Bug 1003696 - lxdm relogin fail
lxdm relogin fail
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: lxdm (Show other bugs)
19
i686 Linux
unspecified Severity low
: ---
: ---
Assigned To: Christoph Wickert
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-02 15:31 EDT by Máté Eckl
Modified: 2015-02-17 12:02 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 12:02:02 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Máté Eckl 2013-09-02 15:31:27 EDT
Description of problem:
I use Fedora 19 LXDE spin with awesome installed and if I log out of my LXDE session and try to log in to awesome with the same account it usually fails logging in. It doesn't show any alert just shows the default LXDE background and not reacts to anything. It does the same vice versa. Sometimes it kills my input possibilities on selecting display manager or account. I can move the mouse but no clicks and keypresses seem to be effective.
These times I have to use Ctrl+Alt+F2 and restart LXDM manually.
None of these happens on system startup. Only under a relogin process. It might do the same on changing accounts not DEs only.

Version-Release number of selected component (if applicable):
lxdm 0.4.1-4
awesome 3.5.1-4

How reproducible:


Steps to Reproduce:
1.install awesome on Fedora 19 LXDE spin 
2.on system startup login with LXDE
3.log out and relogin with awesome
It does the same with step 2 and 3 inverted.

Actual results:
1. Loosing input possibilities on changing account or display manager. Or
2. After entering these the login process stops and only the default LXDE (not my own or awesome dafault) wallpaper is visible.

Expected results:
No peripherial failure. Succesfull login.

Additional info:
I have only one account on this OS.
Runs apache and mysql servers. Apache runs sites in the /home folder which is on a separate encripted partition.
I use a 2-monitor system.
Comment 1 Christoph Wickert 2013-11-19 05:08:13 EST
When you log out, is your session actually ended or is awesome still running? Do you still see awesome in the list of running processes or your session in ck-list-sessions?

How is awesome run? From a shell script or does it have a session manager? How does it quit a session?
Comment 2 Máté Eckl 2013-12-30 07:10:00 EST
Actually by now I don't use Fedora, but I started the session from LXDM and logged out via the right click->exit method.
Comment 3 Fedora End Of Life 2015-01-09 14:41:56 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2015-02-17 12:02:02 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.